*
* $Id$
*
* $Log$
*
*CMZ :  3.00/00 01/05/2001  16.02.39  by  Marialuigia Ambriola
*CMZ :  2.03/00 06/11/2000  01.54.21  by  Francesco Cafagna
*CMZ :  2.02/00 12/10/2000  16.03.56  by  Francesco Cafagna
*CMZU:  2.01/00 04/04/2000  18.14.49  by  Unknown
*CMZ :  2.00/00 01/03/2000  12.47.24  by  Francesco Cafagna
*CMZ :  1.02/00 22/10/99  13.28.17  by  Francesco Cafagna
*CMZ :  1.01/00 02/05/96  08.57.38  by  Francesco Cafagna
*CMZ :  1.00/03 15/04/96  14.56.37  by  Francesco Cafagna
*CMZ :  1.00/02 05/04/96  09.10.39  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   30/11/95
      SUBROUTINE GPFFR
************************************************************************
*                                                                      *
*   To define GPAMELA user's data cards
*                                                                      *
* Called by: UGINIT
* Author: Francesco Cafagna, 30/11/95 16.16.02                         *
*                                                                      *
************************************************************************
#include "gpkey.inc"
#include "gpdkey.inc"
*
* User action
*
      CALL GPUFFR
*
*  Define MAGN card to turn on or off the magnet
*
      CALL FFKEY('MAGN',FFIELD,1,'I')
*
*  Define NDET card to exclude detectors from the simulation
*
      CALL FFKEY('NDET',NDET,7,'I')
*
*  Define CALO card to select specific option for CALO detector
*
      CALL FFKEY('CALO',NCAL,3,'I')
*
*  Define HBOOK card to enable CWN booking and filling
*
      CALL FFKEY('HCWN',HBOOK,1,'I')
*
*  Define SPTM card to enable special tracking media definition for some
*  material
*
      CALL FFKEY('SPTM',NSPTM,17,'I')
*
*  Define HPAK card to slect FLUKA hadronic package
*
      CALL FFKEY('HPAK',NHPAK,1,'I')
*
*  Define AUTM card to slect AUTO tracking media prameter calculation
*
      CALL FFKEY('AUTM',NAUTMED,5,'I')
*
*  Define cards to define the tracking media prameters values
*
      CALL FFKEY('TMAX',VTMAXFD,1,'R')
      CALL FFKEY('STMA',VSTEMAX,1,'R')
*ML:
      CALL FFKEY('DEEM',VDEEMAX,1,'R')
*      CALL FFKEY('DEMA',VDEEMAX,1,'R')
*END ML.
      CALL FFKEY('EPSI',VEPSIL ,1,'R')
      CALL FFKEY('STMI',VSTMIN ,1,'R')
*ML:
*
*  Define cards to define the tracking parameters for each media
*
      CALL FFKEY('TPAL',TPAL,5,'R')
      CALL FFKEY('TG10',TG10,5,'R')
      CALL FFKEY('TPN2',TPN2,5,'R')
      CALL FFKEY('TPW ',TPW,5,'R')
      CALL FFKEY('TPKA',TPKA,5,'R')
      CALL FFKEY('TPFE',TPFE,5,'R')
      CALL FFKEY('TRAD',TRAD,5,'R')
      CALL FFKEY('TPRO',TPRO,5,'R')
      CALL FFKEY('TPCF',TPCF,5,'R')
      CALL FFKEY('TPSC',TPSC,5,'R')
      CALL FFKEY('TSCA',TSCA,5,'R')
      CALL FFKEY('TSTR',TSTR,5,'R')
      CALL FFKEY('TPXE',TPXE,5,'R')
      CALL FFKEY('TPAE',TPAE,5,'R')
*EM:
      CALL FFKEY('TPW2',TPW2,5,'R')
      CALL FFKEY('TPCE',TPCE,5,'R')
      CALL FFKEY('T10C',T10C,5,'R')
*END EM.
*END ML.

*
*  Define HBFI to define an user HBOOK file name and LUNIT
*
      CALL FFKEY('HBFI',NHBFILE,21,'I')

*
*  Define GAFI to define the GARFIELD file and LUNIT
*
      CALL FFKEY('GAFI',NGARFILE,21,'I')
*
*  Define SSTR to enable gaussian straggling in silicon
*
      CALL FFKEY('SSTR',ISSTR,3,'M')
*
*  Define GEN to define generation surface and quote
*
      CALL FFKEY('GEN ',XYZGEN,5,'R')
*
*  Define DZSH to define the height adjust for the external shell SHEL
*
      CALL FFKEY('DZSH',DZSH,1,'R')
*
*  Define HLON to select a longer CWN-tupla
*
      CALL FFKEY('HLON',HLON,1,'I')
*
*  ML: Define PHI to define phi generation angle
*
      CALL FFKEY('PHI ',PHGEN,2,'R')
*
*  Define THET to define theta generation angle
*
      CALL FFKEY('THET',THGEN,2,'R')
*  END ML.
*
*  Define NCPL to exclude calorimeter planes from the geometry definition
*
      CALL FFKEY('NCPL',NCPL,44,'I')
*
*  Define NCSI to exclude calorimeter silicon detectors from a plane
*
      CALL FFKEY('NCSI',NCSI,9,'I')
*
*  Define NCAB to exclude calorimeter absorber planes
*
      CALL FFKEY('NCAB',NCAB,22,'I')
*
*  Define DETEcotr cards to exclude detector volume, physics or n-tple
*  from the simulation
*
      CALL FFKEY('CAS ',NDECAS,3,'I')
      CALL FFKEY('CAT ',NDECAT,3,'I')
      CALL FFKEY('TOF ',NDETOF,3,'I')
      CALL FFKEY('TRD ',NDETRD,3,'I')
      CALL FFKEY('SPE ',NDESPE,3,'I')
      CALL FFKEY('CAL ',NDECAL,3,'I')
      CALL FFKEY('S4 ',NDES4,3,'I')
      RETURN
      END
